PLplot: plbuf.c File Reference

PLplot 5.15.0

Classes | Macros | Functions
plbuf.c File Reference
`#include "plplotP.h"`
`#include "drivers.h"`
`#include "metadefs.h"`
`#include <string.h>`

Go to the source code of this file.

## Classes
struct | _state

## Macros
#define | NEED_PLDEBUG

## Functions
void * | plbuf_save (PLStream *pls, void *state)
static void | check_buffer_size (PLStream *pls, size_t data_size)
static int | rd_command (PLStream *pls, U_CHAR *p_c)
static void | rd_data (PLStream *pls, void *buf, size_t buf_size)
static void | rd_data_no_copy (PLStream *pls, void **buf, size_t buf_size)
static void | wr_command (PLStream *pls, U_CHAR c)
static void | wr_data (PLStream *pls, void *buf, size_t buf_size)
static void | plbuf_control (PLStream *pls, U_CHAR c)
static void | plbuf_fill (PLStream *pls)
static void | plbuf_swin (PLStream *pls, PLWindow *plwin)
static void | rdbuf_init (PLStream *pls)
static void | rdbuf_line (PLStream *pls)
static void | rdbuf_polyline (PLStream *pls)
static void | rdbuf_eop (PLStream *pls)
static void | rdbuf_bop (PLStream *pls)
static void | rdbuf_state (PLStream *pls)
static void | rdbuf_esc (PLStream *pls)
static void | rdbuf_image (PLStream *pls)
static void | rdbuf_text (PLStream *pls)
static void | rdbuf_text_unicode (PLINT op, PLStream *pls)
static void | rdbuf_fill (PLStream *pls)
static void | rdbuf_clip (PLStream *pls)
static void | rdbuf_swin (PLStream *pls)
static void | rdbuf_di (PLStream *pls)
static void | rdbuf_setsub (PLStream *pls)
static void | rdbuf_ssub (PLStream *pls)
void | plbuf_init (PLStream *pls)
void | plbuf_eop (PLStream *pls)
void | plbuf_bop (PLStream *pls)
void | plbuf_setsub (PLStream *pls)
void | plbuf_ssub (PLStream *pls)
void | plbuf_tidy (PLStream *PL_UNUSED(pls))
void | plbuf_line (PLStream *pls, short x1a, short y1a, short x2a, short y2a)
void | plbuf_polyline (PLStream *pls, short *xa, short *ya, PLINT npts)
void | plbuf_state (PLStream *pls, PLINT op)
static void | plbuf_image (PLStream *pls, IMG_DT *img_dt)
static void | plbuf_text (PLStream *pls, EscText *text)
static void | plbuf_text_unicode (PLStream *pls, EscText *text)
void | plbuf_esc (PLStream *pls, PLINT op, void *ptr)
void | plbuf_di (PLStream *pls)
void | plbuf_clip (PLStream *pls)
void | plbuf_write (PLStream *pls, void *data, size_t bytes)
static void | rdbuf_init (PLStream *PL_UNUSED(pls))
static void | rdbuf_eop (PLStream *PL_UNUSED(pls))
void | plRemakePlot (PLStream *pls)
void | plFlushBuffer (PLStream *pls, PLBOOL restart, size_t amount)
void | plbuf_restore (PLStream *pls, void *state)
void * | plbuf_switch (PLStream *pls, void *state)

## Macro Definition Documentation

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 25 of file plbuf.c.

## Function Documentation

## ◆ check_buffer_size()

static void check_buffer_size | ( | PLStream * | pls,
|  | size_t | data_size
| ) |  |
| static

Definition at line 1636 of file plbuf.c.

## ◆ plbuf_bop()

void plbuf_bop | ( | PLStream * | pls | ) |

Definition at line 141 of file plbuf.c.

## ◆ plbuf_clip()

void plbuf_clip | ( | PLStream * | pls | ) |

Definition at line 615 of file plbuf.c.

## ◆ plbuf_control()

static void plbuf_control | ( | PLStream * | pls,
|  | U_CHAR | c
| ) |  |
| static

Definition at line 1489 of file plbuf.c.

## ◆ plbuf_di()

void plbuf_di | ( | PLStream * | pls | ) |

Definition at line 571 of file plbuf.c.

## ◆ plbuf_eop()

void plbuf_eop | ( | PLStream * | pls | ) |

Definition at line 122 of file plbuf.c.

## ◆ plbuf_esc()

void plbuf_esc | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 494 of file plbuf.c.

## ◆ plbuf_fill()

static void plbuf_fill | ( | PLStream * | pls | ) |
| static

Definition at line 600 of file plbuf.c.

## ◆ plbuf_image()

static void plbuf_image | ( | PLStream * | pls,
|  | IMG_DT * | img_dt
| ) |  |
| static

Definition at line 373 of file plbuf.c.

## ◆ plbuf_init()

void plbuf_init | ( | PLStream * | pls | ) |

Definition at line 89 of file plbuf.c.

## ◆ plbuf_line()

void plbuf_line | ( | PLStream * | pls,
|  | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |

Definition at line 237 of file plbuf.c.

## ◆ plbuf_polyline()

void plbuf_polyline | ( | PLStream * | pls,
|  | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |

Definition at line 268 of file plbuf.c.

## ◆ plbuf_restore()

void plbuf_restore | ( | PLStream * | pls,
|  | void * | state
| ) |  |

Definition at line 1832 of file plbuf.c.

## ◆ plbuf_save()

void * plbuf_save | ( | PLStream * | pls,
|  | void * | state
| ) |  |

Definition at line 1733 of file plbuf.c.

## ◆ plbuf_setsub()

void plbuf_setsub | ( | PLStream * | pls | ) |

Definition at line 192 of file plbuf.c.

## ◆ plbuf_ssub()

void plbuf_ssub | ( | PLStream * | pls | ) |

Definition at line 209 of file plbuf.c.

## ◆ plbuf_state()

void plbuf_state | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 295 of file plbuf.c.

## ◆ plbuf_swin()

static void plbuf_swin | ( | PLStream * | pls,
|  | PLWindow * | plwin
| ) |  |
| static

Definition at line 634 of file plbuf.c.

## ◆ plbuf_switch()

void* plbuf_switch | ( | PLStream * | pls,
|  | void * | state
| ) |  |

Definition at line 1856 of file plbuf.c.

## ◆ plbuf_text()

static void plbuf_text | ( | PLStream * | pls,
|  | EscText * | text
| ) |  |
| static

Definition at line 404 of file plbuf.c.

## ◆ plbuf_text_unicode()

static void plbuf_text_unicode | ( | PLStream * | pls,
|  | EscText * | text
| ) |  |
| static

Definition at line 468 of file plbuf.c.

## ◆ plbuf_tidy()

void plbuf_tidy | ( | PLStream * | PL_UNUSEDpls | ) |

Definition at line 225 of file plbuf.c.

## ◆ plbuf_write()

void plbuf_write | ( | PLStream * | pls,
|  | void * | data,
|  | size_t | bytes
| ) |  |

Definition at line 660 of file plbuf.c.

## ◆ plFlushBuffer()

void plFlushBuffer | ( | PLStream * | pls,
|  | PLBOOL | restart,
|  | size_t | amount
| ) |  |

Definition at line 1416 of file plbuf.c.

## ◆ plRemakePlot()

void plRemakePlot | ( | PLStream * | pls | ) |

Definition at line 1397 of file plbuf.c.

## ◆ rd_command()

static int rd_command | ( | PLStream * | pls,
|  | U_CHAR * | p_c
| ) |  |
| static

Definition at line 1574 of file plbuf.c.

## ◆ rd_data()

static void rd_data | ( | PLStream * | pls,
|  | void * | buf,
|  | size_t | buf_size
| ) |  |
| static

Definition at line 1602 of file plbuf.c.

## ◆ rd_data_no_copy()

static void rd_data_no_copy | ( | PLStream * | pls,
|  | void ** | buf,
|  | size_t | buf_size
| ) |  |
| static

Definition at line 1621 of file plbuf.c.

## ◆ rdbuf_bop()

static void rdbuf_bop | ( | PLStream * | pls | ) |
| static

Definition at line 696 of file plbuf.c.

## ◆ rdbuf_clip()

static void rdbuf_clip | ( | PLStream * | pls | ) |
| static

Definition at line 1158 of file plbuf.c.

## ◆ rdbuf_di()

static void rdbuf_di | ( | PLStream * | pls | ) |
| static

Definition at line 1262 of file plbuf.c.

## ◆ rdbuf_eop() [1/2]

static void rdbuf_eop | ( | PLStream * | pls | ) |
| static

## ◆ rdbuf_eop() [2/2]

static void rdbuf_eop | ( | PLStream * | PL_UNUSEDpls | ) |
| static

Definition at line 684 of file plbuf.c.

## ◆ rdbuf_esc()

static void rdbuf_esc | ( | PLStream * | pls | ) |
| static

Definition at line 1082 of file plbuf.c.

## ◆ rdbuf_fill()

static void rdbuf_fill | ( | PLStream * | pls | ) |
| static

Definition at line 1136 of file plbuf.c.

## ◆ rdbuf_image()

static void rdbuf_image | ( | PLStream * | pls | ) |
| static

Definition at line 1173 of file plbuf.c.

## ◆ rdbuf_init() [1/2]

static void rdbuf_init | ( | PLStream * | pls | ) |
| static

## ◆ rdbuf_init() [2/2]

static void rdbuf_init | ( | PLStream * | PL_UNUSEDpls | ) |
| static

Definition at line 672 of file plbuf.c.

## ◆ rdbuf_line()

static void rdbuf_line | ( | PLStream * | pls | ) |
| static

Definition at line 830 of file plbuf.c.

## ◆ rdbuf_polyline()

static void rdbuf_polyline | ( | PLStream * | pls | ) |
| static

Definition at line 859 of file plbuf.c.

## ◆ rdbuf_setsub()

static void rdbuf_setsub | ( | PLStream * | pls | ) |
| static

Definition at line 803 of file plbuf.c.

## ◆ rdbuf_ssub()

static void rdbuf_ssub | ( | PLStream * | pls | ) |
| static

Definition at line 816 of file plbuf.c.

## ◆ rdbuf_state()

static void rdbuf_state | ( | PLStream * | pls | ) |
| static

Definition at line 891 of file plbuf.c.

## ◆ rdbuf_swin()

static void rdbuf_swin | ( | PLStream * | pls | ) |
| static

Definition at line 1236 of file plbuf.c.

## ◆ rdbuf_text()

static void rdbuf_text | ( | PLStream * | pls | ) |
| static

Definition at line 1302 of file plbuf.c.

## ◆ rdbuf_text_unicode()

static void rdbuf_text_unicode | ( | PLINT | op,
|  | PLStream * | pls
| ) |  |
| static

Definition at line 1384 of file plbuf.c.

## ◆ wr_command()

static void wr_command | ( | PLStream * | pls,
|  | U_CHAR | c
| ) |  |
| static

Definition at line 1675 of file plbuf.c.

## ◆ wr_data()

static void wr_data | ( | PLStream * | pls,
|  | void * | buf,
|  | size_t | buf_size
| ) |  |
| static

Definition at line 1694 of file plbuf.c.